curl --request GET \
--url https://{domain}/api/v2/network/traders \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"filter": {
"registration_date": {
">=": "2025-01-01",
"<=": "2025-03-31"
},
"countries": {
"IN": [
1269750
]
},
"affiliates": {
"IN": [
10,
20
]
},
"commission_plans": {
"IN": [
292
]
},
"status": {
"=": "active"
}
}
}
'import requests
url = "https://{domain}/api/v2/network/traders"
payload = { "filter": {
"registration_date": {
">=": "2025-01-01",
"<=": "2025-03-31"
},
"countries": { "IN": [1269750] },
"affiliates": { "IN": [10, 20] },
"commission_plans": { "IN": [292] },
"status": { "=": "active" }
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
registration_date: {'>=': '2025-01-01', '<=': '2025-03-31'},
countries: {IN: [1269750]},
affiliates: {IN: [10, 20]},
commission_plans: {IN: [292]},
status: {'=': 'active'}
}
})
};
fetch('https://{domain}/api/v2/network/traders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"name": "OK",
"message": "Traders List",
"info": [
{
"id": 123,
"trader_id": "<string>",
"crm_id": "<string>",
"status": "active",
"type": "<string>",
"currency": "<string>",
"verified": true,
"registration_date": "2023-11-07T05:31:56Z",
"ftd_date": "2023-11-07T05:31:56Z",
"ftd_amount": 123,
"qualification_date": "2023-11-07T05:31:56Z",
"balance": 123,
"click_id": "<string>",
"internal_notes": "<string>",
"affiliate": {
"id": 123,
"title": "<string>"
},
"commission_plan": {
"id": 123,
"title": "<string>"
},
"revshare_status": "active",
"brand": {
"id": 123,
"title": "<string>"
},
"product": {
"id": 123,
"title": "<string>"
},
"traffic_source": {
"id": 123,
"value": "<string>"
},
"metadata": {
"id": 123,
"default_currency": "<string>",
"currency": "<string>"
}
}
]
}{
"status": "error",
"code": 400,
"name": "Bad Request",
"message": "Request could not be parsed.",
"info": {
"errors": {}
}
}{
"status": "error",
"code": 401,
"name": "Unauthorized",
"message": "API key is invalid or missing."
}{
"status": "error",
"code": 403,
"name": "Forbidden",
"message": "This endpoint is not available for your role."
}{
"status": "error",
"code": 500,
"name": "Internal Server Error",
"message": "An unexpected error occurred.",
"info": {
"errors": {}
}
}List traders
Returns a paginated list of traders. Only available for broker/forex platforms.
Pagination metadata is returned in response headers (X-Pagination-*).
Advanced filtering is available via a filter object in the request body
(requires Content-Type: application/json). Filter operators: =, !=, >,
>=, <, <=, IN, NOT IN, LIKE, and conjunctions AND, OR, NOT.
Authorizations
Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.
Query Parameters
Page number.
Items per page.
Field to sort by.
registration_date, ftd_date, qualification_date Sort direction.
asc, desc Free-text search — matches trader_id, click_id, promo_code.
Comma-separated offer IDs to filter by.
Comma-separated affiliate IDs to filter by.
Comma-separated commission plan IDs to filter by.
Comma-separated traffic source IDs to filter by.
Trader status filter.
active, restricted Filter by whether the trader has made a first deposit.
Filter by whether the trader is qualified (has a qualification date).
Filter by verification status.
Comma-separated field keys to include in each trader object.
Body
Advanced filter conditions.
Filter conditions keyed by attribute name. Each attribute value is an
operator map, e.g. {">=": "2025-01-01"} or {"IN": [1, 2]}.
Supported attributes:
registration_date,ftd_date,qualification_date— date comparisons (user timezone)countries— array of country IDsaffiliates,offers,commission_plans,traffic_source_ids— array of IDsstatus—activeorrestrictedstatus_details— string arrayverified,deposited,qualified,is_frozen— boolean
Was this page helpful?